program LevelToBIN;

uses crt,strings;

var
	Data:byte;
	Source,Dest,Temp:file of byte;
	Error,FileLength,Count,Calc:integer;
	FileName:String;
	NullTerminated:array [0..3] of char;
	Name:String[3];


procedure Intro;
begin
	textcolor(lightcyan);
	writeln;
	writeln('Alien Breed II v3.2  83p/8xp -> BIN Converter');
	textcolor(cyan);
	writeln('Copyright (C)2000 Jimsoft Software');
	writeln('Written and Programmed by James Vernon');
	writeln('Email: james@calc.org');
	writeln('       jimbob_v@hotmail.com');
	writeln('URL:   http://tcpa.calc.org/members/james/');
	writeln('ICQ#:  71589304');
	textcolor(LightGray);
	writeln;
	writeln;
end;

procedure ErrorFileNotFound;
begin
	writeln('The Level ',Name,' could not be found in this Directory!!');
	halt(1);
end;

procedure CheckFile;
begin
	Name:=paramstr(1);
	if length(Name) <> 3 then ErrorFileNotFound;
	strpcopy(NullTerminated,Name);
	strupper(NullTerminated);
	Name:=strpas(NullTerminated);
	FileName:='ZAB2L'+Name+'.83p';
	assign(Source,FileName);
	{$I-}
	reset(Source);
	{$I+}
	Error:=IOResult;
	if Error <> 0 then begin
		FileName:='ZAB2L'+Name+'.8xp';
		assign(Source,FileName);
		{$I-}
		reset(Source);
		{$I+}
		if IOResult <> 0 then ErrorFileNotFound;
		Calc:=2;
	end else Calc:=0;
end;

procedure Convert;
begin
	FileLength:=0;
	writeln('Converting . . .');
	repeat
		read(Source,Data);
		FileLength:=FileLength+1;
	until eof(Source);
	FileLength:=FileLength-(81+Calc);
	reset(Source);
	assign(Dest,'ZAB2L'+Name+'.bin');
	rewrite(Dest);
	assign(Temp,'lvltobin.tmp');
	rewrite(Temp);
	for Count:=1 to (79+Calc) do read(Source,Data);
	repeat
		read(Source,Data);
		write(Temp,Data);
	until eof(Source);
	reset(Temp);
	for Count:=1 to FileLength do begin
		read(Temp,Data);
		write(Dest,Data);
	end;
	close(Source);
	close(Dest);
	close(Temp);
	writeln;
	writeln('Conversion Successful!');
	writeln('Output file: ZAB2L',Name,'.bin');
end;


begin
	Intro;
	CheckFile;
	Convert;
end.