program SetCompressionValue;

uses crt,strings;

var
	Source,Temp:file of byte;
	Data:byte;
	Error:integer;
	Name:string[3];
	FileName:string;
	NullTerminated:array [0..3] of char;


procedure LeaveNow;
begin
	halt;
end;

procedure CheckFile;
begin
	Name:=paramstr(1);
	if length(Name) <> 3 then LeaveNow;
	strpcopy(NullTerminated,Name);
	strupper(NullTerminated);
	Name:=strpas(NullTerminated);
	FileName:='ZAB2L'+Name+'.bin';
	assign(Source,FileName);
	{$I-}
	reset(Source);
	{$I+}
	if IOResult <> 0 then LeaveNow;
end;

procedure SetCompression;
begin
	writeln('Formatting level file . . .');
	assign(Temp,'setcmp.tmp');
	rewrite(Temp);

	Data:=ord('A');
	write(Temp,Data);
	Data:=ord('B');
	write(Temp,Data);
	Data:=ord('I');
	write(Temp,Data);
	write(Temp,Data);

	Data:=ord(Name[1]);
	write(Temp,Data);
	Data:=ord(Name[2]);
	write(Temp,Data);
	Data:=ord(Name[3]);
	write(Temp,Data);

	read(Source,Data);
	Data:=1;
	write(Temp,Data);
	repeat
		read(Source,Data);
		write(Temp,Data);
	until eof(Source);
	reset(Temp);
	rewrite(Source);
	repeat
		read(Temp,Data);
		write(Source,Data);
	until eof(Temp);
	writeln;
	writeln('Formatting Successful!');
end;


begin
	CheckFile;
	SetCompression;
end.